io.netty.handler.codec.mqtt

## Class MqttMessageBuilders.PublishBuilder

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageBuilders.PublishBuilder

Enclosing class:
  MqttMessageBuilders

    public static final class MqttMessageBuilders.PublishBuilder
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttPublishMessage` `build()`
`MqttMessageBuilders.PublishBuilder` `messageId(int messageId)`
`MqttMessageBuilders.PublishBuilder` `payload(io.netty.buffer.ByteBuf payload)`
`MqttMessageBuilders.PublishBuilder` `properties(MqttProperties properties)`
`MqttMessageBuilders.PublishBuilder` `qos(MqttQoS qos)`
`MqttMessageBuilders.PublishBuilder` `retained(boolean retained)`
`MqttMessageBuilders.PublishBuilder` `topicName(String topic)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### topicName

    public MqttMessageBuilders.PublishBuilder topicName(String topic)

#### retained

    public MqttMessageBuilders.PublishBuilder retained(boolean retained)

#### qos

    public MqttMessageBuilders.PublishBuilder qos(MqttQoS qos)

#### payload

    public MqttMessageBuilders.PublishBuilder payload(io.netty.buffer.ByteBuf payload)

#### messageId

    public MqttMessageBuilders.PublishBuilder messageId(int messageId)

#### properties

    public MqttMessageBuilders.PublishBuilder properties(MqttProperties properties)

#### build

    public MqttPublishMessage build()